## ros-kinetic-indoor-positioning 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(indoor_positioning)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
  message_generation
)

## Install python dependencies
catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  StringStamped.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ${PROJECT_NAME}
#  CATKIN_DEPENDS roscpp rospy std_msgs
#  DEPENDS system_lib message_runtime
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############


## Mark executable scripts (Python etc.) for installation
 install(PROGRAMS
   scripts/ips_map.py scripts/positioning.py scripts/positioning_plus.py scripts/receiver.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

## Mark directories for installation
 install(DIRECTORY
 config
 rviz
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

## Mark other files for installation (e.g. launch and bag files, etc.)
 install(FILES
   launch/ips.launch launch/ips_plus.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

#catkin_install_python(
#PROGRAMS scripts/ips_map.py scripts/positioning.py scripts/positioning_plus.py scripts/receiver.py
#DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
#)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_indoor_positioning.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== requirements.txt ===
rospkg_modules>=1.1.4
catkin_pkg_modules>=0.4.1
scipy>=1.0.1
catkin_pkg>=0.4.2
rospkg>=1.1.4
pyserial>=3.4
tf>=1.0.0
PyYAML>=3.12
Shapely>=1.6.4.post2

=== debian/changelog ===
ros-kinetic-indoor-positioning (1.1.0-0xenial) xenial; urgency=high

  * Trilatered positions are only published now if they are inside a polygon spanned by the beacons
  * Revamped launch files

 -- Christian Arndt <arndt@metratec.com>  Tue, 19 Jun 2018 22:00:00 -0000

ros-kinetic-indoor-positioning (1.0.3-0xenial) xenial; urgency=high

  * Added some parametrization options to allow more efficient and robust position estimation

 -- Christian Arndt <arndt@metratec.com>  Tue, 19 Jun 2018 22:00:00 -0000

ros-kinetic-indoor-positioning (1.0.2-0xenial) xenial; urgency=high

  * Renamed package from ros_ips to indoor_positioning

 -- Christian Arndt <arndt@metratec.com>  Mon, 21 May 2018 22:00:00 -0000

ros-kinetic-indoor-positioning (1.0.1-0xenial) xenial; urgency=high

  * First public release for kinetic

 -- Christian Arndt <arndt@metratec.com>  Thu, 10 May 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-indoor-positioning
Section: misc
Priority: extra
Maintainer: Christian Arndt <arndt@metratec.com>
Build-Depends: debhelper (>= 9.0.0), python-numpy, python-scipy, python-serial, python-yaml, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-indoor-positioning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-scipy, python-serial, python-yaml, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: This is a ROS package for the metraTec Indoor Positioning System.
 You can use the regular IPS for zone location of your robot or the IPS+ products for 3D-position-estimation using UWB ranging.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-indoor-positioning//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
